Bug 1404217 - Review Request: php-pecl-dio - Direct I/O functions
Review Request: php-pecl-dio - Direct I/O functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
: 1409212 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-13 06:47 EST by Remi Collet
Modified: 2016-12-31 05:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-22 11:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ngompa13: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2016-12-13 06:47:59 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/2ef23f1d9702ff31bb00b3c5f9140fa9ccdb9151/php/pecl/php-pecl-dio/php-pecl-dio.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-dio-0.0.8-2.remi.src.rpm
Description: 
PHP supports the direct io functions as described in the 
Posix Standard (Section 6) for performing I/O functions at 
a lower level than the C-Language stream I/O functions 
(fopen(), fread(),..). 

DIO provides functions and stream wrappers which provide raw and
serial low level IO support.  The use of the DIO functions should 
be considered only when direct control of a device is needed. 
In all other cases, the standard filesystem functions are 
more than adequate.


Fedora Account System Username: remi
Comment 1 Neal Gompa 2016-12-13 07:16:53 EST
Taking this review.
Comment 2 Remi Collet 2016-12-13 07:45:12 EST
Running a scratch build I discover a segfault on bigendian arch (ppc64)

Will update soon with upcoming version 0.0.9
(btw, patch tested, see https://koji.fedoraproject.org/koji/taskinfo?taskID=16866221)
Comment 4 Neal Gompa 2016-12-13 16:16:45 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in php-
     pecl-dio-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-pecl-dio-0.0.9-1.fc25.x86_64.rpm
          php-pecl-dio-debuginfo-0.0.9-1.fc25.x86_64.rpm
          php-pecl-dio-0.0.9-1.fc25.src.rpm
php-pecl-dio.x86_64: W: spelling-error %description -l en_US io -> oi, Io, ii
php-pecl-dio.x86_64: W: spelling-error %description -l en_US fopen -> open, f open, fop en
php-pecl-dio.x86_64: W: spelling-error %description -l en_US fread -> dread, read, fared
php-pecl-dio.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
php-pecl-dio.x86_64: W: no-documentation
php-pecl-dio.src: W: spelling-error %description -l en_US io -> oi, Io, ii
php-pecl-dio.src: W: spelling-error %description -l en_US fopen -> open, f open, fop en
php-pecl-dio.src: W: spelling-error %description -l en_US fread -> dread, read, fared
php-pecl-dio.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: php-pecl-dio-debuginfo-0.0.9-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
php-pecl-dio.x86_64: W: spelling-error %description -l en_US io -> oi, Io, ii
php-pecl-dio.x86_64: W: spelling-error %description -l en_US fopen -> open, f open, fop en
php-pecl-dio.x86_64: W: spelling-error %description -l en_US fread -> dread, read, fared
php-pecl-dio.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
php-pecl-dio.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
php-pecl-dio-debuginfo (rpmlib, GLIBC filtered):

php-pecl-dio (rpmlib, GLIBC filtered):
    config(php-pecl-dio)
    libc.so.6()(64bit)
    php(api)
    php(zend-abi)
    rtld(GNU_HASH)



Provides
--------
php-pecl-dio-debuginfo:
    php-pecl-dio-debuginfo
    php-pecl-dio-debuginfo(x86-64)

php-pecl-dio:
    config(php-pecl-dio)
    php-dio
    php-dio(x86-64)
    php-pecl(dio)
    php-pecl(dio)(x86-64)
    php-pecl-dio
    php-pecl-dio(x86-64)



Unversioned so-files
--------------------
php-pecl-dio: /usr/lib64/php-zts/modules/dio.so
php-pecl-dio: /usr/lib64/php/modules/dio.so

Source checksums
----------------
http://pecl.php.net/get/dio-0.0.9.tgz :
  CHECKSUM(SHA256) this package     : 2c80b63fbbbaead856cb468955c14dc328d1262621b0c704b122d902053c8156
  CHECKSUM(SHA256) upstream package : 2c80b63fbbbaead856cb468955c14dc328d1262621b0c704b122d902053c8156


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1404217
Buildroot used: fedora-25-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Neal Gompa 2016-12-13 16:18:23 EST
The rpmlint warnings on spelling and lack of documentation are reasonable to ignore (not really spelling errors and there's no docs to include).

The unversioned so files make sense given that it's a PHP extension, so its exported ABI would be nonsense anyway.

The spec generally looks sane to me.

PACKAGE APPROVED.
Comment 6 Remi Collet 2016-12-14 02:28:06 EST
Thanks for the fast review.

New package requested on pkgdb.
Comment 7 Gwyn Ciesla 2016-12-14 08:04:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-pecl-dio
Comment 8 Fedora Update System 2016-12-14 08:49:32 EST
php-pecl-dio-0.0.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bfedb4d19
Comment 9 Fedora Update System 2016-12-14 08:49:39 EST
php-pecl-dio-0.0.9-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c51f8abb
Comment 10 Fedora Update System 2016-12-14 08:49:43 EST
php-pecl-dio-0.0.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8cd01d8eb3
Comment 11 Fedora Update System 2016-12-14 21:50:01 EST
php-pecl-dio-0.0.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8cd01d8eb3
Comment 12 Fedora Update System 2016-12-15 00:04:12 EST
php-pecl-dio-0.0.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bfedb4d19
Comment 13 Fedora Update System 2016-12-15 00:07:52 EST
php-pecl-dio-0.0.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c51f8abb
Comment 14 Fedora Update System 2016-12-22 11:49:10 EST
php-pecl-dio-0.0.9-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-22 13:18:19 EST
php-pecl-dio-0.0.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Neal Gompa 2016-12-30 09:14:57 EST
*** Bug 1409212 has been marked as a duplicate of this bug. ***
Comment 17 Erik Lundin 2016-12-30 09:19:25 EST
Much appreciated Remi :)
Comment 18 Fedora Update System 2016-12-31 05:47:36 EST
php-pecl-dio-0.0.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.